.select {
    @include filterTableInput;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    width: 208px;
    background-color: $main-0;
    border-radius: 8px;
    cursor: pointer;
    border: 1px solid $main-4;
    transition: 0.3s ease;

    &:hover {
        // background-color: $main-7;
        border: 1px solid $main-8;

        .selected {
            color: $main-8;
        }

        // svg {
        //     .stroke {
        //         stroke: $main-0;
        //     }
        // }
    }

    .selected {
        display: -webkit-box;
        -webkit-line-clamp: 1;
        -webkit-box-orient: vertical;  
        overflow: hidden;
    }

    .wrap-select {
        display: flex;
        flex-direction: column;
        grid-gap: 4px;
    }

    .select__name {
        font-weight: 700;
        font-size: 10px;
        line-height: 16px;
        color: $main-6;
        text-transform: uppercase;
    }

    .select__wrapper {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 100%;
    }
    
    .select__list {
        @include boxShadow;
        width: inherit;
        border-radius: 8px;
        background-color: $main-0;
        position: absolute;
        left: 0;
        top: 0;
        list-style: none;
        overflow: hidden;
        visibility: hidden;
        opacity: 0;
        height: 0;
        z-index: 3;
        transition: 0.3s ease;

        @media (max-width: 576px) {
            display: none;
        }

        .select__item {
            cursor: pointer;
            padding: 16px 10px;
            transition: 0.3s ease;
            color: $main-8;

            &:hover {
                background-color: $main-3;
                // color: $main-0;
            }
        }

        .status__item {
            display: flex;
            align-items: center;
            grid-gap: 4px;
            padding: 12px 10px;
        }

        .organization__item {
            display: flex;
            grid-gap: 4px;
            flex-direction: column;
            padding: 12px 10px;
        }
    }

    .select__organization {
        width: 100%;
        
        @include scrollbarCustom;

        .component__button {
            padding: 16px 10px;
            width: -webkit-fill-available;
            margin: 10px;
        }

        .select__item {
            padding: 0;
            width: -webkit-fill-available;

            &:hover {
                background-color: inherit;
                color: $main-8;;
            }
        }

        .profile__description {
            margin: 10px;

            &:hover {
                background-color: $main-4;
            }
        }
    }

    .select__list.active {
        height: max-content;
        max-height: max-content;
    }
}

.select-name {
    padding: 10px 10px;
}

.select-label {
    flex-direction: column;
    align-items: baseline;
    padding: 10px;
    width: 100%;
}

.select-border {
    border: 1px solid $main-5;
    width: 100%;
}

.sort-desktop.active {
    display: flex;
    
    .select__list {
        height: max-content;
        max-height: max-content;
        top: 64px;
        visibility: visible;
        opacity: 1;
    }
}

// .active-select {
//     display: flex;
// }

.sort-mobile {
    display: none;

    @media (max-width: 576px) {
        display: flex !important;
    }
}

.sort-desktop {
    @media (max-width: 576px) {
        display: none !important;
    }
}

.details-select {
    display: none !important;
}

.details-select.edit {
    display: flex !important;
    flex-direction: column;
    grid-gap: 16px;
}

.select-sub-wrap {
    display: flex !important;
    flex-direction: column;
    grid-gap: 16px;
    position: relative;
}
